#ident "$Id: calloc.c,v 1.1 2001/10/20 02:32:11 hpa Exp $"
/* ----------------------------------------------------------------------- *
 *   
 *   Copyright 2000-2001 H. Peter Anvin - All Rights Reserved
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU Lesser General Public License as
 *   published by the Free Software Foundation, Inc.,
 *   59 Temple Place Ste 330, Boston MA 02111-1307, USA, version 2.1,
 *   incorporated herein by reference.
 *
 * ----------------------------------------------------------------------- */

/*
 * calloc.c
 *
 * Wrapper around zalloc().  Necessary in case inlining is completely
 * turned off in the user application.
 *
 */

#include <stdlib.h>

/* Do this rather than #include "lpms.h" so we don't get the inline... */
extern void *lpsm_zalloc(size_t size);

void *lpsm_calloc(size_t nmemb, size_t size)
{
  return lpsm_zalloc(nmemb*size);
}
